package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.Product;
import com.uas.platform.b2b.model.PurchaseApBillOutItem;

/**
 * ERP应收开票从表数据
 * @author huangct
 * @date 2018年2月08日10:24:24
 *
 */
public class BillOutDetail {
    private String ard_id;
    private String ard_biid;
    private Short ard_detno;
    private String ard_code;
    private String ard_ordercode;
    private Double ard_orderamount;
    private String ard_aramount;
    private String ard_havepay;
    private Double ard_nowbalance;
    private String ard_remark;
    private String ard_description;
    private String ard_emcode;
    private String ard_catecode;
    private String ard_diffamount;
    private Long ard_orderdetno;
    private String ard_prodcode;
    private Double ard_nowqty;
    private Double ard_qty;
    private Double ard_price;
    private Double ard_costprice;
    private Double ard_taxrate;
    private Double ard_nowprice;
    private String ard_taxamount;
    private String ard_discount;
    private String ard_discountamount;
    private String ard_status;
    private String ard_statuscode;
    private String ard_billprice;
    private String ard_arprice;
    private String ard_discountnetamount;
    private String ard_discounttaxamount;
    private Long ard_orderid;
    private String ard_poststatus;
    private String ard_adid;
    private String ard_tempamount;

    public String getArd_id() {
        return ard_id;
    }

    public void setArd_id(String ard_id) {
        this.ard_id = ard_id;
    }

    public String getArd_biid() {
        return ard_biid;
    }

    public void setArd_biid(String ard_biid) {
        this.ard_biid = ard_biid;
    }

    public Short getArd_detno() {
        return ard_detno;
    }

    public void setArd_detno(Short ard_detno) {
        this.ard_detno = ard_detno;
    }

    public String getArd_code() {
        return ard_code;
    }

    public void setArd_code(String ard_code) {
        this.ard_code = ard_code;
    }

    public String getArd_ordercode() {
        return ard_ordercode;
    }

    public void setArd_ordercode(String ard_ordercode) {
        this.ard_ordercode = ard_ordercode;
    }

    public Double getArd_orderamount() {
        return ard_orderamount;
    }

    public void setArd_orderamount(Double ard_orderamount) {
        this.ard_orderamount = ard_orderamount;
    }

    public String getArd_aramount() {
        return ard_aramount;
    }

    public void setArd_aramount(String ard_aramount) {
        this.ard_aramount = ard_aramount;
    }

    public String getArd_havepay() {
        return ard_havepay;
    }

    public void setArd_havepay(String ard_havepay) {
        this.ard_havepay = ard_havepay;
    }

    public Double getArd_nowbalance() {
        return ard_nowbalance;
    }

    public void setArd_nowbalance(Double ard_nowbalance) {
        this.ard_nowbalance = ard_nowbalance;
    }

    public String getArd_remark() {
        return ard_remark;
    }

    public void setArd_remark(String ard_remark) {
        this.ard_remark = ard_remark;
    }

    public String getArd_description() {
        return ard_description;
    }

    public void setArd_description(String ard_description) {
        this.ard_description = ard_description;
    }

    public String getArd_emcode() {
        return ard_emcode;
    }

    public void setArd_emcode(String ard_emcode) {
        this.ard_emcode = ard_emcode;
    }

    public String getArd_catecode() {
        return ard_catecode;
    }

    public void setArd_catecode(String ard_catecode) {
        this.ard_catecode = ard_catecode;
    }

    public String getArd_diffamount() {
        return ard_diffamount;
    }

    public void setArd_diffamount(String ard_diffamount) {
        this.ard_diffamount = ard_diffamount;
    }

    public Long getArd_orderdetno() {
        return ard_orderdetno;
    }

    public void setArd_orderdetno(Long ard_orderdetno) {
        this.ard_orderdetno = ard_orderdetno;
    }

    public String getArd_prodcode() {
        return ard_prodcode;
    }

    public void setArd_prodcode(String ard_prodcode) {
        this.ard_prodcode = ard_prodcode;
    }

    public Double getArd_nowqty() {
        return ard_nowqty;
    }

    public void setArd_nowqty(Double ard_nowqty) {
        this.ard_nowqty = ard_nowqty;
    }

    public Double getArd_qty() {
        return ard_qty;
    }

    public void setArd_qty(Double ard_qty) {
        this.ard_qty = ard_qty;
    }

    public Double getArd_price() {
        return ard_price;
    }

    public void setArd_price(Double ard_price) {
        this.ard_price = ard_price;
    }

    public Double getArd_costprice() {
        return ard_costprice;
    }

    public void setArd_costprice(Double ard_costprice) {
        this.ard_costprice = ard_costprice;
    }

    public Double getArd_taxrate() {
        return ard_taxrate;
    }

    public void setArd_taxrate(Double ard_taxrate) {
        this.ard_taxrate = ard_taxrate;
    }

    public Double getArd_nowprice() {
        return ard_nowprice;
    }

    public void setArd_nowprice(Double ard_nowprice) {
        this.ard_nowprice = ard_nowprice;
    }

    public String getArd_taxamount() {
        return ard_taxamount;
    }

    public void setArd_taxamount(String ard_taxamount) {
        this.ard_taxamount = ard_taxamount;
    }

    public String getArd_discount() {
        return ard_discount;
    }

    public void setArd_discount(String ard_discount) {
        this.ard_discount = ard_discount;
    }

    public String getArd_discountamount() {
        return ard_discountamount;
    }

    public void setArd_discountamount(String ard_discountamount) {
        this.ard_discountamount = ard_discountamount;
    }

    public String getArd_status() {
        return ard_status;
    }

    public void setArd_status(String ard_status) {
        this.ard_status = ard_status;
    }

    public String getArd_statuscode() {
        return ard_statuscode;
    }

    public void setArd_statuscode(String ard_statuscode) {
        this.ard_statuscode = ard_statuscode;
    }

    public String getArd_billprice() {
        return ard_billprice;
    }

    public void setArd_billprice(String ard_billprice) {
        this.ard_billprice = ard_billprice;
    }

    public String getArd_arprice() {
        return ard_arprice;
    }

    public void setArd_arprice(String ard_arprice) {
        this.ard_arprice = ard_arprice;
    }

    public String getArd_discountnetamount() {
        return ard_discountnetamount;
    }

    public void setArd_discountnetamount(String ard_discountnetamount) {
        this.ard_discountnetamount = ard_discountnetamount;
    }

    public String getArd_discounttaxamount() {
        return ard_discounttaxamount;
    }

    public void setArd_discounttaxamount(String ard_discounttaxamount) {
        this.ard_discounttaxamount = ard_discounttaxamount;
    }

    public Long getArd_orderid() {
        return ard_orderid;
    }

    public void setArd_orderid(Long ard_orderid) {
        this.ard_orderid = ard_orderid;
    }

    public String getArd_poststatus() {
        return ard_poststatus;
    }

    public void setArd_poststatus(String ard_poststatus) {
        this.ard_poststatus = ard_poststatus;
    }

    public String getArd_adid() {
        return ard_adid;
    }

    public void setArd_adid(String ard_adid) {
        this.ard_adid = ard_adid;
    }

    public String getArd_tempamount() {
        return ard_tempamount;
    }

    public void setArd_tempamount(String ard_tempamount) {
        this.ard_tempamount = ard_tempamount;
    }

    public PurchaseApBillOutItem convert(Product product) {
        PurchaseApBillOutItem purchaseApBillOutItem = new PurchaseApBillOutItem();
        purchaseApBillOutItem.setNumber(this.ard_detno);
        //purchaseApBillOutItem.setStatus(null);//状态？
        //purchaseApBillOutItem.setStatusCode(null);//状态码？
        purchaseApBillOutItem.setNowPrice(this.ard_nowprice);//开票单价
        //ard_nowbalance  开票金额
        //ard_orderamount  发票金额
        purchaseApBillOutItem.setCostPrice(this.ard_costprice);
        purchaseApBillOutItem.setPrice(this.ard_price);//发票单价
        purchaseApBillOutItem.setTaxrate(this.ard_taxrate);
        purchaseApBillOutItem.setQty(this.ard_qty);
        purchaseApBillOutItem.setNowQty(this.ard_nowqty);
        purchaseApBillOutItem.setProduct(product);
        purchaseApBillOutItem.setPrid(product.getId());
        purchaseApBillOutItem.setProdCode(this.ard_prodcode);
        purchaseApBillOutItem.setOrderCode(this.ard_ordercode);//发票单号  客户订单单号  ??
        purchaseApBillOutItem.setOrderDetno(this.ard_orderdetno);
        purchaseApBillOutItem.setCode(this.ard_code);
        purchaseApBillOutItem.setOrderId(this.ard_orderid);//发票id  ??
        //purchaseApBillOutItem.setOldQty(); //已开票数量 ？？

        return purchaseApBillOutItem;
    }
}
